EvoPay
GET/v1/account/transactionsBearer

Listar transações

Lista as transações da conta com paginação e filtros.

Headers

API-Key<seu_token>

Parâmetros

NomeInTipoDescrição
pagequeryinteger–
limitqueryinteger–
dateFromquerystring–
dateToquerystring–
idquerystring–
statusqueryTransactionStatus–
typequery"DEPOSIT" | "WITHDRAW"–
amountquerynumber–
payerDocumentquerystring–
payerNamequerystring–
endToEndIdquerystring–

Respostas

Lista paginada de transações

CampoTipoDescrição
total
integer—
pages
integer—
transactions
object[]—

Exemplos

curl "https://pix.evopay.cash/v1/v1/account/transactions?page=1&limit=10&dateFrom=2024-01-01T00%3A00%3A00.000Z&dateTo=2024-01-01T00%3A00%3A00.000Z&id=exemplo&status=exemplo&type=DEPOSIT&amount=100&payerDocument=exemplo&payerName=exemplo&endToEndId=exemplo" \
  -H "API-Key: <seu_token>"
EvoPay API Documentation